# ShaderFxColorize(ShaderFx)

base classes — `bpy_struct`, `ShaderFx`

class `bpy.types.``ShaderFxColorize`(ShaderFx)

  Colorize effect

  `factor`

    Mix factor

    Type: | float in [0, 1], default 0.0

  `high_color`

    Second color used for effect

    Type: | float array of 4 items in [0, 1], default (0.0, 0.0, 0.0, 0.0)

  `low_color`

    First color used for effect

    Type: | float array of 4 items in [0, 1], default (0.0, 0.0, 0.0, 0.0)

  `mode`

    Effect mode

    Type: | enum in [‘GRAYSCALE’, ‘SEPIA’, ‘DUOTONE’, ‘TRANSPARENT’, ‘CUSTOM’], default ‘GRAYSCALE’

  classmethod `bl_rna_get_subclass`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The RNA type or default when not found.
    Return type: | `bpy.types.Struct` subclass

  classmethod `bl_rna_get_subclass_py`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The class or default when not found.
    Return type: | type

Inherited Properties

`bpy_struct.id_data` `ShaderFx.name` `ShaderFx.type` `ShaderFx.show_viewport` | `ShaderFx.show_render` `ShaderFx.show_in_editmode` `ShaderFx.show_expanded`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_overridable_library` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.pop` `bpy_struct.property_overridable_library_set` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`